Name:           qcodeedit
Version:        2.2.3
Release:        19%{?dist}
Summary:        Qt-Framework for code editing
Group:          System Environment/Libraries
License:        GPLv3
URL:            http://qcodeedit.edyuk.org/
Source0:        http://downloads.sourceforge.net/edyuk/%{name}-%{version}.tar.gz
Patch0:         qcodeedit-2.2.3-remove-debug-flag.patch
Patch1:         qcodeedit-2.2.3-cxx11.patch
BuildRequires:  qt4-devel

%description
QCodeEdit is a framework designed to make edition of source
code easy for both users and developers.
It is written in C++ using the Qt 4 framework which make it cross-platform.
QCodeEdit has been designed for three main purposes:
- efficiency
- flexibility
- ease of use
QCodeEdit is much more lightweight and significantly faster than 
QTextEdit/QTextDocument. 
However it also has different goals and thus limitations. QCodeEdit is
meant to work with source files and not any kind of rich 
text like QTextEdit handles so well.


#-devel package
%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt4-devel
BuildRequires:  doxygen

%description devel
This package contains the development files for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
chmod 644 README.txt

%build
export QTDIR=%{_libdir}/qt4
sed -i 's:example::g' %name.pro
%{qmake_qt4} %{name}.pro
make

# Build html devel documentation
doxygen

%install
make INSTALL_ROOT=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_libdir}/%
cp -a lib%{name}.* %{buildroot}%{_libdir}
cp -a example %{buildroot}%{_datadir}/%{name}
chmod 755 %{buildroot}%{_libdir}/lib%{name}.so.*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README.txt GPL.txt
%{_libdir}/lib%{name}.so.*
%{_libdir}/qt4/plugins/designer/libqcodeedit-plugin.so

%files devel
%doc doc/html/*
%{_libdir}/lib%{name}.so
%{_includedir}/QCodeEdit
%{_libdir}/qt4/mkspecs/features/%name.prf
%{_datadir}/%name




%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Feb 02 2016 Jonathan Wakely <jwakely@redhat.com> - 2.2.3-16
- Patch for C++11 compatibility

* Tue Feb 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.2.3-16
- use %%qmake_qt4 macro to ensure proper build flags

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.2.3-14
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2.3-7
- added Patch0 to remove the debug flag

* Mon Jul 25 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2.3-6
- moved the qt4-devel requirement to the devel package

* Mon Jul 25 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2.3-5
- dropped the qt-devel requirement of the devel package
- fixed file permissions

* Mon Jul 25 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2.3-4
- moved the designer plugin into the main package
- added a requirement for qt4-devel

* Mon Jul 25 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2.3-3
- fixed various requirements
- fixed file permissions
- removed the seperate designer subpackage
- removed the deletion of the buildroot in the install section

* Mon Jul 25 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2.3-2
- removed the lib prefix from the package
- adapted the sourceforge url
- fixed various build and normal requirements
- added the doxygen documentation to the devel subpackage
- removed the second qmake-qt4

* Sun Jul 24 2011 Johannes Lips <Johannes.Lips googlemail com> 2.2.3-1
- initial fedora package
